summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGiovanni Santini2015-06-09 10:51:38 +0200
committerGiovanni Santini2015-06-09 10:51:38 +0200
commit691975370f7baa2ce60675f40642a3851e34ff9c (patch)
treeaa8e57f1e66c3d83006da1eb084e061ec6c1d329
downloadaur-691975370f7baa2ce60675f40642a3851e34ff9c.tar.gz
Initial AUR commit
-rw-r--r--.SRCINFO40
-rw-r--r--PKGBUILD117
-rw-r--r--gcc-hash-style-both.patch163
-rw-r--r--gcc_pure64.patch24
-rw-r--r--siginfo_t_fix.patch14
-rw-r--r--texinfo_5_fix.patch126
6 files changed, 484 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b19f8913479
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,40 @@
+pkgbase = gcc44-multilib
+ pkgdesc = The GNU Compiler Collection, version 4.4.7 - multilib version
+ pkgver = 4.4.7
+ pkgrel = 3
+ url = http://gcc.gnu.org
+ arch = i686
+ arch = x86_64
+ license = GPL
+ license = LGPL
+ license = custom
+ makedepends = binutils>=2.21
+ makedepends = libmpc
+ makedepends = cloog
+ makedepends = elfutils
+ makedepends = dejagnu
+ makedepends = glibc>=2.11.1-2
+ makedepends = lib32-glibc>=2.12.1
+ provides = gcc44
+ conflicts = gcc44
+ options = !libtool
+ options = !buildflags
+ options = !emptydirs
+ options = staticlibs
+ source = http://ftpmirror.gnu.org/gcc/gcc-4.4.7/gcc-core-4.4.7.tar.bz2
+ source = http://ftpmirror.gnu.org/gcc/gcc-4.4.7/gcc-g++-4.4.7.tar.bz2
+ source = ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-api-4.5.2.man.tar.bz2
+ source = gcc_pure64.patch
+ source = gcc-hash-style-both.patch
+ source = siginfo_t_fix.patch
+ source = texinfo_5_fix.patch
+ md5sums = 3bda0831d654964ee152c46fa8d29e46
+ md5sums = 5494ba2227ccbd7c90f318723b0e7fe5
+ md5sums = 2776eab5ebb7f9cc62dd2199a3a24382
+ md5sums = 22cec272f9cc2801d3cd348feaca888b
+ md5sums = 6fd395bacbd7b6e47c7b74854b478363
+ md5sums = edce21b2ce295478d14d5dd988eb3287
+ md5sums = b912353cccf62a1ee3ea0ed18fadf71a
+
+pkgname = gcc44-multilib
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..de1d53ad4e4
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,117 @@
+# Submitter: Piotr "utak3r" Borys <piotr.borys@gmail.com>
+# Maintainer: Giovanni "ItachiSan" Santini <giovannisantini93@yahoo.it>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+# NOTE: libtool requires rebuilt with each new gcc version
+
+pkgname='gcc44-multilib'
+pkgver=4.4.7
+pkgrel=3
+_libstdcppmanver=4.5.2 # Note: check source directory name when updating this
+pkgdesc="The GNU Compiler Collection, version 4.4.7 - multilib version"
+arch=('i686' 'x86_64')
+license=('GPL' 'LGPL' 'custom')
+url="http://gcc.gnu.org"
+makedepends=('binutils>=2.21' 'libmpc' 'cloog' 'elfutils' 'dejagnu' 'glibc>=2.11.1-2' 'lib32-glibc>=2.12.1')
+conflicts=('gcc44') # Existing package from AUR
+provides=('gcc44')
+options=('!libtool' '!buildflags' '!emptydirs' 'staticlibs')
+source=(
+ http://ftpmirror.gnu.org/gcc/gcc-${pkgver}/gcc-{core,g++}-${pkgver}.tar.bz2
+ #ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++}-${pkgver}.tar.bz2 <- the one over is 'optimized', it chooses the right mirror for you
+ ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-api-${_libstdcppmanver}.man.tar.bz2 # can't be automagically resolved, doh
+ gcc_pure64.patch
+ gcc-hash-style-both.patch
+ siginfo_t_fix.patch
+ texinfo_5_fix.patch)
+md5sums=('3bda0831d654964ee152c46fa8d29e46'
+ '5494ba2227ccbd7c90f318723b0e7fe5'
+ '2776eab5ebb7f9cc62dd2199a3a24382'
+ '22cec272f9cc2801d3cd348feaca888b'
+ '6fd395bacbd7b6e47c7b74854b478363'
+ 'edce21b2ce295478d14d5dd988eb3287'
+ 'b912353cccf62a1ee3ea0ed18fadf71a')
+
+prepare() {
+
+ cd ${srcdir}/gcc-${pkgver}
+
+ # "Add" ppl-0.11 compatibility
+ sed -i "/ppl_minor_version=/s#10#11#" configure
+ # Do not install libiberty
+ sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
+ # Do not run fixincludes
+ #sed -i 's@\./fixinc\.sh@-c true@' gcc/Makefile.in
+
+ if [ "${CARCH}" = "x86_64" ]; then
+ patch -Np1 -i ${srcdir}/gcc_pure64.patch
+ fi
+ patch -Np1 -i ${srcdir}/siginfo_t_fix.patch
+ patch -Np0 -i ${srcdir}/gcc-hash-style-both.patch
+ patch -Np1 -i ${srcdir}/texinfo_5_fix.patch
+
+ echo ${pkgver} > gcc/BASE-VER
+}
+
+build() {
+
+ cd ${srcdir}
+ rm -rf gcc-build
+ mkdir gcc-build
+ cd gcc-build
+ ${srcdir}/gcc-${pkgver}/configure \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --libexecdir=/usr/lib \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-bugurl=https://bugs.archlinux.org/ \
+ --enable-languages=c,c++ \
+ --enable-shared \
+ --enable-threads=posix \
+ --enable-__cxa_atexit \
+ --enable-clocale=gnu \
+ --enable-gnu-unique-object \
+ --enable-lto \
+ --enable-plugin \
+ --enable-gold \
+ --with-plugin-ld=ld.gold \
+ --enable-multilib \
+ --disable-libstdcxx-pch \
+ --with-system-zlib \
+ --with-ppl \
+ --with-cloog \
+ --disable-libunwind-exceptions \
+ --enable-linker-build-id \
+ --enable-cloog-backend=isl \
+ --enable-ld=default \
+ --enable-checking=release \
+ --disable-werror \
+ --program-suffix=-4.4 \
+ --enable-version-specific-runtime-libs
+ make
+
+ # increase stack size to prevent test failures
+ # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31827
+ # ulimit -s 32768
+
+ # do not abort on error as some are "expected"
+ # make -k check || true
+ # ${_basedir}/contrib/test_summary
+}
+
+# Used the same package() as gcc45 (AUR).
+package()
+{
+ cd ${srcdir}/gcc-build
+
+ make DESTDIR=${pkgdir} install
+
+ ## Lazy way of dealing with conflicting man and info pages and locales...
+ rm -rf ${pkgdir}/usr/share/
+
+ install -Dm644 ${srcdir}/gcc-${pkgver}/COPYING.RUNTIME \
+ ${pkgdir}/usr/share/licenses/$pkgname/RUNTIME.LIBRARY.EXCEPTION
+
+}
+
diff --git a/gcc-hash-style-both.patch b/gcc-hash-style-both.patch
new file mode 100644
index 00000000000..fbb21059896
--- /dev/null
+++ b/gcc-hash-style-both.patch
@@ -0,0 +1,163 @@
+#! /bin/sh -e
+
+# DP: Link using --hash-style=both (alpha, amd64, ia64, i386, powerpc, ppc64, s390, sparc)
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+2006-07-11 Jakub Jelinek <jakub@redhat.com>
+
+ * config/i386/linux.h (LINK_SPEC): Add --hash-style=both.
+ * config/i386/linux64.h (LINK_SPEC): Likewise.
+ * config/rs6000/sysv4.h (LINK_OS_LINUX_SPEC): Likewise.
+ * config/rs6000/linux64.h (LINK_OS_LINUX_SPEC32,
+ LINK_OS_LINUX_SPEC64): Likewise.
+ * config/s390/linux.h (LINK_SPEC): Likewise.
+ * config/ia64/linux.h (LINK_SPEC): Likewise.
+ * config/sparc/linux.h (LINK_SPEC): Likewise.
+ * config/sparc/linux64.h (LINK_SPEC, LINK_ARCH32_SPEC,
+ LINK_ARCH64_SPEC): Likewise.
+ * config/alpha/linux-elf.h (LINK_SPEC): Likewise.
+
+--- gcc/config/alpha/linux-elf.h.orig 2007-08-04 08:55:58.000000000 +0200
++++ gcc/config/alpha/linux-elf.h 2007-09-01 15:47:26.605865578 +0200
+@@ -39,7 +39,7 @@
+
+ #define ELF_DYNAMIC_LINKER LINUX_DYNAMIC_LINKER
+
+-#define LINK_SPEC "-m elf64alpha %{G*} %{relax:-relax} \
++#define LINK_SPEC "-m elf64alpha --hash-style=both %{G*} %{relax:-relax} \
+ %{O*:-O3} %{!O*:-O1} \
+ %{shared:-shared} \
+ %{!shared: \
+--- gcc/config/s390/linux.h.orig 2007-08-04 08:55:59.000000000 +0200
++++ gcc/config/s390/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -77,7 +77,7 @@
+
+ #undef LINK_SPEC
+ #define LINK_SPEC \
+- "%{m31:-m elf_s390}%{m64:-m elf64_s390} \
++ "%{m31:-m elf_s390}%{m64:-m elf64_s390} --hash-style=both \
+ %{shared:-shared} \
+ %{!shared: \
+ %{static:-static} \
+--- gcc/config/sparc/linux.h.orig 2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -132,7 +132,7 @@
+
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+ %{!mno-relax:%{!r:-relax}} \
+ %{!shared: \
+ %{!ibcs: \
+--- gcc/config/sparc/linux64.h.orig 2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux64.h 2007-09-01 15:47:26.605865578 +0200
+@@ -166,7 +166,7 @@
+ { "link_arch_default", LINK_ARCH_DEFAULT_SPEC }, \
+ { "link_arch", LINK_ARCH_SPEC },
+
+-#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,%R/usr/lib %{shared:-shared} \
++#define LINK_ARCH32_SPEC "-m elf32_sparc --hash-style=both -Y P,%R/usr/lib %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+@@ -175,7 +175,7 @@
+ %{static:-static}}} \
+ "
+
+-#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
++#define LINK_ARCH64_SPEC "-m elf64_sparc --hash-style=both -Y P,%R/usr/lib64 %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+@@ -256,7 +256,7 @@
+ #else /* !SPARC_BI_ARCH */
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf64_sparc -Y P,%R/usr/lib64 %{shared:-shared} \
++#define LINK_SPEC "-m elf64_sparc --hash-style=both -Y P,%R/usr/lib64 %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+--- gcc/config/i386/linux.h.orig 2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -108,7 +108,7 @@
+ { "dynamic_linker", LINUX_DYNAMIC_LINKER }
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m %(link_emulation) %{shared:-shared} \
++#define LINK_SPEC "-m %(link_emulation) --hash-style=both %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+--- gcc/config/i386/linux64.h.orig 2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux64.h 2007-09-01 15:48:27.336781690 +0200
+@@ -65,7 +65,7 @@
+ #endif
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} \
++#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} --hash-style=both \
+ %{shared:-shared} \
+ %{!shared: \
+ %{!static: \
+--- gcc/config/ia64/linux.h.orig 2006-12-12 18:59:53.000000000 +0100
++++ gcc/config/ia64/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -40,7 +40,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "\
++#define LINK_SPEC "--hash-style=both \
+ %{shared:-shared} \
+ %{!shared: \
+ %{!static: \
+--- gcc/config/rs6000/sysv4.h.orig 2007-08-08 23:37:49.000000000 +0200
++++ gcc/config/rs6000/sysv4.h 2007-09-01 15:47:26.615865729 +0200
+@@ -901,7 +901,7 @@
+ #define LINUX_DYNAMIC_LINKER \
+ CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
+
+-#define LINK_OS_LINUX_SPEC "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER "}}}"
+
+--- gcc/config/rs6000/linux64.h.orig 2007-08-04 08:56:12.000000000 +0200
++++ gcc/config/rs6000/linux64.h 2007-09-01 15:47:26.615865729 +0200
+@@ -354,11 +354,11 @@
+ CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
+
+
+-#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER32 "}}}"
+
+-#define LINK_OS_LINUX_SPEC64 "-m elf64ppc %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC64 "-m elf64ppc --hash-style=both %{!shared: %{!static: \
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER64 "}}}"
+
diff --git a/gcc_pure64.patch b/gcc_pure64.patch
new file mode 100644
index 00000000000..8c6b0817173
--- /dev/null
+++ b/gcc_pure64.patch
@@ -0,0 +1,24 @@
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/linux64.h gcc-4.2.0/gcc/config/i386/linux64.h
+--- gcc-4.2.0.orig/gcc/config/i386/linux64.h 2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/linux64.h 2007-05-18 17:04:05.000000000 -0400
+@@ -49,7 +49,7 @@
+ done. */
+
+ #define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux-x86-64.so.2"
+
+ #undef LINK_SPEC
+ #define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/t-linux64 gcc-4.2.0/gcc/config/i386/t-linux64
+--- gcc-4.2.0.orig/gcc/config/i386/t-linux64 2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/t-linux64 2007-05-18 17:04:36.000000000 -0400
+@@ -6,7 +6,7 @@
+
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32
+-MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib
diff --git a/siginfo_t_fix.patch b/siginfo_t_fix.patch
new file mode 100644
index 00000000000..d39f316f4ed
--- /dev/null
+++ b/siginfo_t_fix.patch
@@ -0,0 +1,14 @@
+--- a/gcc/config/i386/linux-unwind.h 2011-01-03 20:52:22.000000000 +0000
++++ b/gcc/config/i386/linux-unwind.h 2012-07-06 12:23:51.562859470 +0100
+@@ -133,9 +133,9 @@
+ {
+ struct rt_sigframe {
+ int sig;
+- struct siginfo *pinfo;
++ siginfo_t *pinfo;
+ void *puc;
+- struct siginfo info;
++ siginfo_t info;
+ struct ucontext uc;
+ } *rt_ = context->cfa;
+ /* The void * cast is necessary to avoid an aliasing warning. \ No newline at end of file
diff --git a/texinfo_5_fix.patch b/texinfo_5_fix.patch
new file mode 100644
index 00000000000..b0acdb6068e
--- /dev/null
+++ b/texinfo_5_fix.patch
@@ -0,0 +1,126 @@
+# Patch created by Giovanni Santini aka ItachiSan @ AUR.archlinux.org
+# ---
+# References
+# http://gcc.gnu.org/ml/gcc-patches/2012-10/msg02505.html
+# https://bugs.archlinux.org/task/34000
+# ---
+#
+# ---
+# Change some @itemx to @item
+# Did this as texinfo 5 breaks build if not patched texi files.
+# ---
+diff -urN a/gcc/doc/c-tree.texi b/gcc/doc/c-tree.texi
+--- a/gcc/doc/c-tree.texi 2009-02-20 16:20:38.000000000 +0100
++++ b/gcc/doc/c-tree.texi 2013-05-02 00:13:03.425907530 +0200
+@@ -2338,13 +2338,13 @@
+ not matter. The type of the operands and that of the result are
+ always of @code{BOOLEAN_TYPE} or @code{INTEGER_TYPE}.
+
+-@itemx POINTER_PLUS_EXPR
++@item POINTER_PLUS_EXPR
+ This node represents pointer arithmetic. The first operand is always
+ a pointer/reference type. The second operand is always an unsigned
+ integer type compatible with sizetype. This is the only binary
+ arithmetic operand that can operate on pointer types.
+
+-@itemx PLUS_EXPR
++@item PLUS_EXPR
+ @itemx MINUS_EXPR
+ @itemx MULT_EXPR
+ These nodes represent various binary arithmetic operations.
+diff -urN a/gcc/doc/cppopts.texi b/gcc/doc/cppopts.texi
+--- a/gcc/doc/cppopts.texi 2008-06-15 11:42:13.000000000 +0200
++++ b/gcc/doc/cppopts.texi 2013-05-01 23:10:26.103692954 +0200
+@@ -758,7 +758,7 @@
+ Enable special code to work around file systems which only permit very
+ short file names, such as MS-DOS@.
+
+-@itemx --help
++@item --help
+ @itemx --target-help
+ @opindex help
+ @opindex target-help
+diff -urN a/gcc/doc/invoke.texi b/gcc/doc/invoke.texi
+--- a/gcc/doc/invoke.texi 2011-03-23 23:02:12.000000000 +0100
++++ b/gcc/doc/invoke.texi 2013-05-01 23:52:21.647407304 +0200
+@@ -4645,11 +4645,11 @@
+ @option{-fdump-rtl-ce3} enable dumping after the three
+ if conversion passes.
+
+-@itemx -fdump-rtl-cprop_hardreg
++@item -fdump-rtl-cprop_hardreg
+ @opindex fdump-rtl-cprop_hardreg
+ Dump after hard register copy propagation.
+
+-@itemx -fdump-rtl-csa
++@item -fdump-rtl-csa
+ @opindex fdump-rtl-csa
+ Dump after combining stack adjustments.
+
+@@ -4660,11 +4660,11 @@
+ @option{-fdump-rtl-cse1} and @option{-fdump-rtl-cse2} enable dumping after
+ the two common sub-expression elimination passes.
+
+-@itemx -fdump-rtl-dce
++@item -fdump-rtl-dce
+ @opindex fdump-rtl-dce
+ Dump after the standalone dead code elimination passes.
+
+-@itemx -fdump-rtl-dbr
++@item -fdump-rtl-dbr
+ @opindex fdump-rtl-dbr
+ Dump after delayed branch scheduling.
+
+@@ -4709,7 +4709,7 @@
+ @opindex fdump-rtl-initvals
+ Dump after the computation of the initial value sets.
+
+-@itemx -fdump-rtl-into_cfglayout
++@item -fdump-rtl-into_cfglayout
+ @opindex fdump-rtl-into_cfglayout
+ Dump after converting to cfglayout mode.
+
+@@ -4739,7 +4739,7 @@
+ @opindex fdump-rtl-rnreg
+ Dump after register renumbering.
+
+-@itemx -fdump-rtl-outof_cfglayout
++@item -fdump-rtl-outof_cfglayout
+ @opindex fdump-rtl-outof_cfglayout
+ Dump after converting from cfglayout mode.
+
+@@ -4751,7 +4751,7 @@
+ @opindex fdump-rtl-postreload
+ Dump after post-reload optimizations.
+
+-@itemx -fdump-rtl-pro_and_epilogue
++@item -fdump-rtl-pro_and_epilogue
+ @opindex fdump-rtl-pro_and_epilogue
+ Dump after generating the function pro and epilogues.
+
+diff -urN a/gcc/doc/md.texi b/gcc/doc/md.texi
+--- a/gcc/doc/md.texi 2009-05-07 10:14:55.000000000 +0200
++++ b/gcc/doc/md.texi 2013-05-01 23:23:06.301482098 +0200
+@@ -3713,8 +3713,8 @@
+ @cindex @code{ior@var{m}3} instruction pattern
+ @cindex @code{xor@var{m}3} instruction pattern
+ @item @samp{ssadd@var{m}3}, @samp{usadd@var{m}3}
+-@item @samp{sub@var{m}3}, @samp{sssub@var{m}3}, @samp{ussub@var{m}3}
+-@item @samp{mul@var{m}3}, @samp{ssmul@var{m}3}, @samp{usmul@var{m}3}
++@itemx @samp{sub@var{m}3}, @samp{sssub@var{m}3}, @samp{ussub@var{m}3}
++@itemx @samp{mul@var{m}3}, @samp{ssmul@var{m}3}, @samp{usmul@var{m}3}
+ @itemx @samp{div@var{m}3}, @samp{ssdiv@var{m}3}
+ @itemx @samp{udiv@var{m}3}, @samp{usdiv@var{m}3}
+ @itemx @samp{mod@var{m}3}, @samp{umod@var{m}3}
+diff -urN a/gcc/doc/sourcebuild.texi b/gcc/doc/sourcebuild.texi
+--- a/gcc/doc/sourcebuild.texi 2010-05-19 19:21:58.000000000 +0200
++++ b/gcc/doc/sourcebuild.texi 2013-05-01 23:23:48.194877290 +0200
+@@ -573,7 +573,7 @@
+ @code{lang_checks}.
+
+ @table @code
+-@itemx all.cross
++@item all.cross
+ @itemx start.encap
+ @itemx rest.encap
+ FIXME: exactly what goes in each of these targets?